Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5101)
@@ -1,14 +1,14 @@
 MODULE regr_horiz_time_climoz_m
 
-  USE interpolation, ONLY : locate
-  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat, grid_type, unstructured
-  USE nrtype, ONLY : pi
-  USE netcdf, ONLY : nf90_clobber, nf90_float, nf90_open, &
+  USE interpolation, ONLY: locate
+  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, grid_type, unstructured
+  USE nrtype, ONLY: pi
+  USE netcdf, ONLY: nf90_clobber, nf90_float, nf90_open, &
           nf90_nowrite, nf90_noerr, nf90_get_att, nf90_global
-  USE netcdf95, ONLY : nf95_def_dim, nf95_inq_dimid, nf95_inquire_dimension, &
-          nf95_def_var, nf95_inq_varid, NF95_INQUIRE_VARIABLE, &
-          NF95_OPEN, NF95_CREATE, NF95_GET_ATT, NF95_GW_VAR, nf95_get_var, &
-          NF95_CLOSE, NF95_ENDDEF, NF95_PUT_ATT, NF95_PUT_VAR, NF95_COPY_ATT
-  USE print_control_mod, ONLY : lunout
+  USE netcdf95, ONLY: nf95_def_dim, nf95_inq_dimid, nf95_inquire_dimension, &
+          nf95_def_var, nf95_inq_varid, nf95_inquire_variable, &
+          nf95_open, nf95_create, nf95_get_att, nf95_gw_var, nf95_get_var, &
+          nf95_close, nf95_enddef, nf95_put_att, nf95_put_var, nf95_copy_att
+  USE print_control_mod, ONLY: lunout
   USE dimphy
   IMPLICIT NONE
@@ -57,17 +57,17 @@
     !     Attribute "missing_value" or "_FillValue" must be present in input file.
     !-------------------------------------------------------------------------------
-    USE assert_m, ONLY : assert
-    USE cal_tools_m, ONLY : year_len, mid_month
+    USE assert_m, ONLY: assert
+    USE cal_tools_m, ONLY: year_len, mid_month
     !!  USE control_mod,        ONLY: anneeref
-    USE time_phylmdz_mod, ONLY : annee_ref
-    USE ioipsl, ONLY : ioget_year_len, ioget_calendar
-    USE regr_conserv_m, ONLY : regr_conserv
-    USE regr_lint_m, ONLY : regr_lint
-    USE regular_lonlat_mod, ONLY : boundslon_reg, boundslat_reg, south, west, east
-    USE slopes_m, ONLY : slopes
+    USE time_phylmdz_mod, ONLY: annee_ref
+    USE ioipsl, ONLY: ioget_year_len, ioget_calendar
+    USE regr_conserv_m, ONLY: regr_conserv
+    USE regr_lint_m, ONLY: regr_lint
+    USE regular_lonlat_mod, ONLY: boundslon_reg, boundslat_reg, south, west, east
+    USE slopes_m, ONLY: slopes
     USE lmdz_xios
-    USE mod_phys_lmdz_para, ONLY : is_mpi_root, is_master, is_omp_master, gather, gather_mpi, bcast_mpi, klon_mpi
-    USE geometry_mod, ONLY : latitude_deg, ind_cell_glo
-    USE mod_grid_phy_lmdz, ONLY : klon_glo
+    USE mod_phys_lmdz_para, ONLY: is_mpi_root, is_master, is_omp_master, gather, gather_mpi, bcast_mpi, klon_mpi
+    USE geometry_mod, ONLY: latitude_deg, ind_cell_glo
+    USE mod_grid_phy_lmdz, ONLY: klon_glo
 
     !-------------------------------------------------------------------------------
@@ -164,5 +164,5 @@
         CALL assert(read_climoz == 1 .OR. read_climoz == 2, "regr_lat_time_climoz")
 
-        CALL  NF95_OPEN("climoz.nc", nf90_nowrite, fID_in)
+        CALL  nf95_open("climoz.nc", nf90_nowrite, fID_in)
         lprev = nf90_open("climoz_m.nc", nf90_nowrite, fID_in_m)==nf90_noerr
         lnext = nf90_open("climoz_p.nc", nf90_nowrite, fID_in_p)==nf90_noerr
@@ -171,5 +171,5 @@
         !    Few inversions because "regr_conserv" and gcm need ascending vectors.
         CALL nf95_inq_varid(fID_in, vars_in(1), varid)
-        CALL NF95_INQUIRE_VARIABLE(fID_in, varid, dimids = dIDs, ndims = ndims)
+        CALL nf95_inquire_variable(fID_in, varid, dimids = dIDs, ndims = ndims)
         l3D = ndims==4; l2D = ndims==3
         IF(l3D) WRITE(lunout, *)"Input files contain full 3D ozone fields."
@@ -181,16 +181,16 @@
           SELECT CASE(ii)
           CASE(1)                                         !--- LONGITUDE
-            CALL NF95_GW_VAR(fID_in, varid, lon_in)
+            CALL nf95_gw_var(fID_in, varid, lon_in)
             ldec_lon = lon_in(1)>lon_in(dln); IF(ldec_lon) lon_in = lon_in(dln:1:-1)
             nlon_in = dln; lon_in = lon_in * deg2rad
           CASE(2)                                         !--- LATITUDE
-            CALL NF95_GW_VAR(fID_in, varid, lat_in)
+            CALL nf95_gw_var(fID_in, varid, lat_in)
             ldec_lat = lat_in(1)>lat_in(dln); IF(ldec_lat) lat_in = lat_in(dln:1:-1)
             nlat_in = dln; lat_in = lat_in * deg2rad
           CASE(3)                                         !--- PRESSURE LEVELS
-            CALL NF95_GW_VAR(fID_in, varid, lev_in)
+            CALL nf95_gw_var(fID_in, varid, lev_in)
             ldec_lev = lev_in(1)>lev_in(dln); IF(ldec_lev) lev_in = lev_in(dln:1:-1)
             nlev_in = dln
-            CALL NF95_GET_ATT(fID_in, varid, "units", press_unit)
+            CALL nf95_get_att(fID_in, varid, "units", press_unit)
             k = LEN_TRIM(press_unit)
             DO WHILE(ICHAR(press_unit(k:k))==0)
@@ -329,20 +329,20 @@
         DO iv = 1, read_climoz
           CALL nf95_inq_varid(fID_in, vars_in(1), vID_in(iv))
-          IF(l3D) call NF95_GET_VAR(fID_in, vID_in(iv), o3_in3(1:nlon_in, :, :, 1:12, iv))
-          IF(l2D) call NF95_GET_VAR(fID_in, vID_in(iv), o3_in2(:, :, 1:12, iv))
+          IF(l3D) call nf95_get_var(fID_in, vID_in(iv), o3_in3(1:nlon_in, :, :, 1:12, iv))
+          IF(l2D) call nf95_get_var(fID_in, vID_in(iv), o3_in2(:, :, 1:12, iv))
           IF(lprev) THEN; sta(ndims) = 12
           CALL nf95_inq_varid(fID_in_m, vars_in(1), vID_in(iv))
-          IF(l3D) call NF95_GET_VAR(fID_in_m, vID_in(iv), o3_in3(1:nlon_in, :, :, 0, iv), sta, cnt)
-          IF(l2d) call NF95_GET_VAR(fID_in_m, vID_in(iv), o3_in2(:, :, 0, iv), sta, cnt)
+          IF(l3D) call nf95_get_var(fID_in_m, vID_in(iv), o3_in3(1:nlon_in, :, :, 0, iv), sta, cnt)
+          IF(l2d) call nf95_get_var(fID_in_m, vID_in(iv), o3_in2(:, :, 0, iv), sta, cnt)
           END IF
           IF(lnext) THEN; sta(ndims) = 1
           CALL nf95_inq_varid(fID_in_p, vars_in(1), vID_in(iv))
-          IF(l3D) call NF95_GET_VAR(fID_in_p, vID_in(iv), o3_in3(1:nlon_in, :, :, 13, iv), sta, cnt)
-          IF(l2D) call NF95_GET_VAR(fID_in_p, vID_in(iv), o3_in2(:, :, 13, iv), sta, cnt)
+          IF(l3D) call nf95_get_var(fID_in_p, vID_in(iv), o3_in3(1:nlon_in, :, :, 13, iv), sta, cnt)
+          IF(l2D) call nf95_get_var(fID_in_p, vID_in(iv), o3_in2(:, :, 13, iv), sta, cnt)
           END IF
         END DO
         IF(lprev.OR.lnext) DEALLOCATE(sta, cnt)
-        IF(lprev) CALL NF95_CLOSE(fID_in_m)
-        IF(lnext) CALL NF95_CLOSE(fID_in_p)
+        IF(lprev) CALL nf95_close(fID_in_m)
+        IF(lnext) CALL nf95_close(fID_in_p)
 
         !--- Revert decreasing coordinates vector
@@ -469,7 +469,7 @@
         IF (is_mpi_root) THEN
           !--- Write remaining coordinate variables:
-          CALL NF95_PUT_VAR(fID_ou, levID_ou, lev_in); DEALLOCATE(lev_in)
-          IF(interpt) CALL NF95_PUT_VAR(fID_ou, timID_ou, tmidday)
-          IF(.NOT.interpt) CALL NF95_PUT_VAR(fID_ou, timID_ou, tmidmonth)
+          CALL nf95_put_var(fID_ou, levID_ou, lev_in); DEALLOCATE(lev_in)
+          IF(interpt) CALL nf95_put_var(fID_ou, timID_ou, tmidday)
+          IF(.NOT.interpt) CALL nf95_put_var(fID_ou, timID_ou, tmidmonth)
 
           !--- Write to file (the order of "rlatu" is inverted in the output file):
@@ -482,13 +482,13 @@
 
             DO m = 1, read_climoz
-              CALL NF95_PUT_VAR(fID_ou, vID_ou(m), o3_out(nlat_ou:1:-1, :, :, m))
+              CALL nf95_put_var(fID_ou, vID_ou(m), o3_out(nlat_ou:1:-1, :, :, m))
             END DO
 
           ELSE
             DO m = 1, read_climoz
-              CALL NF95_PUT_VAR(fID_ou, vID_ou(m), o3_out3(:, nlat_ou:1:-1, :, :, m))
+              CALL nf95_put_var(fID_ou, vID_ou(m), o3_out3(:, nlat_ou:1:-1, :, :, m))
             END DO
           ENDIF
-          CALL NF95_CLOSE(fID_ou)
+          CALL nf95_close(fID_ou)
 
         ENDIF
@@ -552,7 +552,7 @@
 
           !--- Write remaining coordinate variables:
-          CALL NF95_PUT_VAR(fID_ou, levID_ou, lev_in); DEALLOCATE(lev_in)
-          IF(interpt) CALL NF95_PUT_VAR(fID_ou, timID_ou, tmidday)
-          IF(.NOT.interpt) CALL NF95_PUT_VAR(fID_ou, timID_ou, tmidmonth)
+          CALL nf95_put_var(fID_ou, levID_ou, lev_in); DEALLOCATE(lev_in)
+          IF(interpt) CALL nf95_put_var(fID_ou, timID_ou, tmidday)
+          IF(.NOT.interpt) CALL nf95_put_var(fID_ou, timID_ou, tmidmonth)
 
           IF (grid_type==unstructured) THEN
@@ -564,14 +564,14 @@
 
             DO m = 1, read_climoz
-              CALL NF95_PUT_VAR(fID_ou, vID_ou(m), o3_out(nlat_ou:1:-1, :, :, m))
+              CALL nf95_put_var(fID_ou, vID_ou(m), o3_out(nlat_ou:1:-1, :, :, m))
             END DO
           ELSE
             !--- Write to file (the order of "rlatu" is inverted in the output file):
             DO m = 1, read_climoz
-              CALL NF95_PUT_VAR(fID_ou, vID_ou(m), o3_out2(nlat_ou:1:-1, :, :, m))
+              CALL nf95_put_var(fID_ou, vID_ou(m), o3_out2(nlat_ou:1:-1, :, :, m))
             END DO
           ENDIF
 
-          CALL NF95_CLOSE(fID_ou)
+          CALL nf95_close(fID_ou)
 
         ENDIF
@@ -581,5 +581,5 @@
       !=============================================================================
 
-      IF (is_mpi_root) CALL NF95_CLOSE(fID_in)
+      IF (is_mpi_root) CALL nf95_close(fID_in)
 
     ENDIF ! is_omp_master
@@ -599,8 +599,8 @@
     !     dimensions and variables, and writes some of the coordinate variables.
     !-------------------------------------------------------------------------------
-    USE regular_lonlat_mod, ONLY : lon_reg, lat_reg
-    USE regular_lonlat_mod, ONLY : lon_reg, lat_reg
-    USE mod_phys_lmdz_para, ONLY : is_mpi_root
-    USE mod_grid_phy_lmdz, ONLY : klon_glo
+    USE regular_lonlat_mod, ONLY: lon_reg, lat_reg
+    USE regular_lonlat_mod, ONLY: lon_reg, lat_reg
+    USE mod_phys_lmdz_para, ONLY: is_mpi_root
+    USE mod_grid_phy_lmdz, ONLY: klon_glo
 
     !-------------------------------------------------------------------------------
@@ -625,5 +625,5 @@
       sub = "prepare_out"
       WRITE(lunout, *)"CALL sequence information: " // TRIM(sub)
-      CALL NF95_CREATE("climoz_LMDZ.nc", nf90_clobber, fID_ou)
+      CALL nf95_create("climoz_LMDZ.nc", nf90_clobber, fID_ou)
 
       !--- Dimensions:
@@ -641,15 +641,15 @@
       CALL nf95_def_var(fID_ou, "time", nf90_float, dtimID, vtimID)
       IF(ndims==4) &
-              CALL NF95_PUT_ATT(fID_ou, vlonID, "units", "degrees_east")
-      CALL NF95_PUT_ATT(fID_ou, vlatID, "units", "degrees_north")
-      CALL NF95_PUT_ATT(fID_ou, vlevID, "units", "millibar")
-      CALL NF95_PUT_ATT(fID_ou, vtimID, "units", "days since 2000-1-1")
+              CALL nf95_put_att(fID_ou, vlonID, "units", "degrees_east")
+      CALL nf95_put_att(fID_ou, vlatID, "units", "degrees_north")
+      CALL nf95_put_att(fID_ou, vlevID, "units", "millibar")
+      CALL nf95_put_att(fID_ou, vtimID, "units", "days since 2000-1-1")
       IF(ndims==4) &
-              CALL NF95_PUT_ATT(fID_ou, vlonID, "standard_name", "longitude")
-      CALL NF95_PUT_ATT(fID_ou, vlatID, "standard_name", "latitude")
-      CALL NF95_PUT_ATT(fID_ou, vlevID, "standard_name", "air_pressure")
-      CALL NF95_PUT_ATT(fID_ou, vtimID, "standard_name", "time")
-      CALL NF95_PUT_ATT(fID_ou, vlevID, "long_name", "air pressure")
-      CALL NF95_PUT_ATT(fID_ou, vtimID, "calendar", cal_ou)
+              CALL nf95_put_att(fID_ou, vlonID, "standard_name", "longitude")
+      CALL nf95_put_att(fID_ou, vlatID, "standard_name", "latitude")
+      CALL nf95_put_att(fID_ou, vlevID, "standard_name", "air_pressure")
+      CALL nf95_put_att(fID_ou, vtimID, "standard_name", "time")
+      CALL nf95_put_att(fID_ou, vlevID, "long_name", "air pressure")
+      CALL nf95_put_att(fID_ou, vtimID, "calendar", cal_ou)
 
       !--- Define the main variables:
@@ -657,10 +657,10 @@
       IF(ndims==4) dIDs = [dlonID, dlatID, dlevID, dtimID]
       CALL nf95_def_var(fID_ou, vars_in(1), nf90_float, dIDs(1:ndims), vID_ou(1))
-      CALL NF95_PUT_ATT(fID_ou, vID_ou(1), "long_name", "ozone mole fraction")
-      CALL NF95_PUT_ATT(fID_ou, vID_ou(1), "standard_name", "mole_fraction_of_ozone&
+      CALL nf95_put_att(fID_ou, vID_ou(1), "long_name", "ozone mole fraction")
+      CALL nf95_put_att(fID_ou, vID_ou(1), "standard_name", "mole_fraction_of_ozone&
               _in_air")
       IF(SIZE(vID_ou) == 2) THEN
         CALL nf95_def_var(fID_ou, vars_in(2), nf90_float, dIDs(1:ndims), vID_ou(2))
-        CALL NF95_PUT_ATT(fID_ou, vID_ou(2), "long_name", "ozone mole fraction in da&
+        CALL nf95_put_att(fID_ou, vID_ou(2), "long_name", "ozone mole fraction in da&
                 ylight")
       END IF
@@ -669,14 +669,14 @@
       ! The following commands, copying attributes, may fail. That is OK.
       ! It should just mean that the attribute is not defined in the input file.
-      CALL NF95_COPY_ATT(fID_in, nf90_global, "Conventions", fID_ou, nf90_global, ncerr)
+      CALL nf95_copy_att(fID_in, nf90_global, "Conventions", fID_ou, nf90_global, ncerr)
       CALL handle_err_copy_att("Conventions")
-      CALL NF95_COPY_ATT(fID_in, nf90_global, "title", fID_ou, nf90_global, ncerr)
+      CALL nf95_copy_att(fID_in, nf90_global, "title", fID_ou, nf90_global, ncerr)
       CALL handle_err_copy_att("title")
-      CALL NF95_COPY_ATT(fID_in, nf90_global, "institution", fID_ou, nf90_global, ncerr)
+      CALL nf95_copy_att(fID_in, nf90_global, "institution", fID_ou, nf90_global, ncerr)
       CALL handle_err_copy_att("institution")
-      CALL NF95_COPY_ATT(fID_in, nf90_global, "source", fID_ou, nf90_global, ncerr)
+      CALL nf95_copy_att(fID_in, nf90_global, "source", fID_ou, nf90_global, ncerr)
       CALL handle_err_copy_att("source")
-      CALL NF95_PUT_ATT (fID_ou, nf90_global, "comment", "Regridded for LMDZ")
-      CALL NF95_ENDDEF(fID_ou)
+      CALL nf95_put_att (fID_ou, nf90_global, "comment", "Regridded for LMDZ")
+      CALL nf95_enddef(fID_ou)
 
       IF (grid_type==unstructured) THEN
@@ -685,9 +685,9 @@
           latitude_glo_(ind_cell_glo_glo(i)) = latitude_glo(i)
         ENDDO
-        CALL NF95_PUT_VAR(fID_ou, vlatID, latitude_glo_)
+        CALL nf95_put_var(fID_ou, vlatID, latitude_glo_)
       ELSE
         !--- Write one of the coordinate variables:
-        IF(ndims==4) CALL NF95_PUT_VAR(fID_ou, vlonID, lon_reg / deg2rad)
-        CALL NF95_PUT_VAR(fID_ou, vlatID, lat_reg(nlat_ou:1:-1) / deg2rad)
+        IF(ndims==4) CALL nf95_put_var(fID_ou, vlonID, lon_reg / deg2rad)
+        CALL nf95_put_var(fID_ou, vlatID, lat_reg(nlat_ou:1:-1) / deg2rad)
         !    (convert from rad to degrees and sort in ascending order)
       ENDIF
@@ -701,5 +701,5 @@
 
       !-------------------------------------------------------------------------------
-      USE netcdf, ONLY : nf90_noerr, NF90_strerror
+      USE netcdf, ONLY: nf90_noerr, nf90_strerror
       !-------------------------------------------------------------------------------
       ! Arguments:
@@ -707,6 +707,6 @@
       !-------------------------------------------------------------------------------
       IF(ncerr /= nf90_noerr) &
-              WRITE(lunout, *)TRIM(sub) // " prepare_out NF95_COPY_ATT " // TRIM(att_name) // &
-                      " -- " // TRIM(NF90_strerror(ncerr))
+              WRITE(lunout, *)TRIM(sub) // " prepare_out nf95_copy_att " // TRIM(att_name) // &
+                      " -- " // TRIM(nf90_strerror(ncerr))
 
     END SUBROUTINE handle_err_copy_att
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5101)
@@ -40,5 +40,5 @@
     ! when we regrid in pressure).
 
-    use mod_grid_phy_lmdz, ONLY : nbp_lat
+    use mod_grid_phy_lmdz, ONLY: nbp_lat
     use regr_conserv_m, only: regr_conserv
     use regr_lint_m, only: regr_lint
@@ -240,5 +240,5 @@
     ! dimensions and variables, and writes one of the coordinate variables.
 
-    use mod_grid_phy_lmdz, ONLY : nbp_lat
+    use mod_grid_phy_lmdz, ONLY: nbp_lat
     use assert_eq_m, only: assert_eq
 
@@ -247,5 +247,5 @@
     use netcdf, only: nf90_clobber, nf90_float, nf90_copy_att, nf90_global
     use nrtype, only: pi
-    use regular_lonlat_mod, only : lat_reg
+    use regular_lonlat_mod, ONLY: lat_reg
 
     integer, intent(in):: ncid_in, varid_in(:), n_plev
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5101)
@@ -113,7 +113,7 @@
 !-------------------------------------------------------------------------------
   USE dimphy,         ONLY: klon
-  USE netcdf95,       ONLY: nf95_inq_varid, NF95_INQUIRE_VARIABLE, &
+  USE netcdf95,       ONLY: nf95_inq_varid, nf95_inquire_variable, &
                             nf95_inq_dimid, nf95_inquire_dimension, nf95_get_var
-  USE netcdf,         ONLY: NF90_INQ_VARID, nf90_noerr
+  USE netcdf,         ONLY: nf90_inq_varid, nf90_noerr
   USE assert_m,       ONLY: assert
   USE assert_eq_m,    ONLY: assert_eq
@@ -210,7 +210,7 @@
     !=== CHECK WHICH FIELDS ARE AVAILABLE IN THE INPUT FILE
     IF(lfirst) THEN
-      lPrSfile=lAdjTro.AND.NF90_INQ_VARID(fID,"ps"                     ,vID)==nf90_noerr
-      lPrTfile=lAdjTro.AND.NF90_INQ_VARID(fID,"tropopause_air_pressure",vID)==nf90_noerr
-      lO3Tfile=lAdjTro.AND.NF90_INQ_VARID(fID,"tro3_at_tropopause"     ,vID)==nf90_noerr
+      lPrSfile=lAdjTro.AND.nf90_inq_varid(fID,"ps"                     ,vID)==nf90_noerr
+      lPrTfile=lAdjTro.AND.nf90_inq_varid(fID,"tropopause_air_pressure",vID)==nf90_noerr
+      lO3Tfile=lAdjTro.AND.nf90_inq_varid(fID,"tro3_at_tropopause"     ,vID)==nf90_noerr
       CALL nf95_inq_dimid(fID,"time",vID)
       CALL nf95_inquire_dimension(fID,vID,nclen=ntim_in)
@@ -481,7 +481,7 @@
 !-------------------------------------------------------------------------------
   CALL nf95_inq_varid(fID, TRIM(var), vID)
-  CALL NF95_INQUIRE_VARIABLE(fID, vID, ndims=n_dim)
-  IF(n_dim==2) call NF95_GET_VAR(fID,vID,v(1,:), start=[  1,irec])
-  IF(n_dim==3) call NF95_GET_VAR(fID,vID,v(:,:), start=[1,1,irec])
+  CALL nf95_inquire_variable(fID, vID, ndims=n_dim)
+  IF(n_dim==2) call nf95_get_var(fID,vID,v(1,:), start=[  1,irec])
+  IF(n_dim==3) call nf95_get_var(fID,vID,v(:,:), start=[1,1,irec])
 
   !--- Flip latitudes: ascending in input file, descending in "rlatu".
@@ -512,7 +512,7 @@
   DO i=1,SIZE(nam)
     CALL nf95_inq_varid(fID, TRIM(nam(i)), vID)
-    CALL NF95_INQUIRE_VARIABLE(fID, vID, ndims=n_dim)
-    IF(n_dim==3) call NF95_GET_VAR(fID,vID,v(1,:,:,i), start=[  1,1,irec])
-    IF(n_dim==4) call NF95_GET_VAR(fID,vID,v(:,:,:,i), start=[1,1,1,irec])
+    CALL nf95_inquire_variable(fID, vID, ndims=n_dim)
+    IF(n_dim==3) call nf95_get_var(fID,vID,v(1,:,:,i), start=[  1,1,irec])
+    IF(n_dim==4) call nf95_get_var(fID,vID,v(:,:,:,i), start=[1,1,1,irec])
   END DO
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/yamada4.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/yamada4.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/yamada4.F90	(revision 5101)
@@ -4,9 +4,9 @@
     cd, tke, eps, km, kn, kq, ustar, iflag_pbl, drgpro)
 
-  USE dimphy, only : klev,klon
+  USE dimphy, ONLY: klev,klon
   USE phys_local_var_mod, only: wprime
-  USE yamada_ini_mod, only : new_yamada4,yamada4_num,hboville
-  USE yamada_ini_mod, only : prt_level, lunout,pbl_lmixmin_alpha,b1,kap,viscom,viscoh
-  USE yamada_ini_mod, only : ric, yun,ydeux,lmixmin,iflag_vdif_q2
+  USE yamada_ini_mod, ONLY: new_yamada4,yamada4_num,hboville
+  USE yamada_ini_mod, ONLY: prt_level, lunout,pbl_lmixmin_alpha,b1,kap,viscom,viscoh
+  USE yamada_ini_mod, ONLY: ric, yun,ydeux,lmixmin,iflag_vdif_q2
   
   IMPLICIT NONE
@@ -712,5 +712,5 @@
 SUBROUTINE vdif_q2(timestep, gravity, rconst, ngrid, plev, temp, kmy, q2)
 
-  USE dimphy, only : klev,klon
+  USE dimphy, ONLY: klev,klon
   IMPLICIT NONE
  
@@ -801,5 +801,5 @@
  SUBROUTINE vdif_q2e(timestep, gravity, rconst, ngrid, plev, temp, kmy, q2)
   
-   USE dimphy, only : klev,klon
+   USE dimphy, ONLY: klev,klon
   IMPLICIT NONE
 
@@ -872,9 +872,9 @@
 
 
-  USE dimphy, only : klev,klon
-  USE yamada_ini_mod, only : l0
+  USE dimphy, ONLY: klev,klon
+  USE yamada_ini_mod, ONLY: l0
   USE phys_state_var_mod, only: zstd, zsig, zmea
   USE phys_local_var_mod, only: l_mixmin, l_mix
-  USE yamada_ini_mod, only : kap, kapb
+  USE yamada_ini_mod, ONLY: kap, kapb
 
  ! zstd: ecart type de la'altitud e sous-maille
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5101)
@@ -7,5 +7,5 @@
 SUBROUTINE cv3_param(nd, k_upper, delt)
 
-  USE ioipsl_getin_p_mod, ONLY : getin_p
+  USE ioipsl_getin_p_mod, ONLY: getin_p
   use mod_phys_lmdz_para
 
@@ -321,5 +321,5 @@
 #endif
 
-  USE mod_phys_lmdz_transfert_para, ONLY : bcast
+  USE mod_phys_lmdz_transfert_para, ONLY: bcast
   USE add_phys_tend_mod, ONLY: fl_cor_ebil
   USE print_control_mod, ONLY: prt_level
@@ -4693,5 +4693,5 @@
 
     USE print_control_mod, ONLY: lunout, prt_level
-    USE add_phys_tend_mod, only : fl_cor_ebil
+    USE add_phys_tend_mod, ONLY: fl_cor_ebil
 
 #ifdef ISO
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90	(revision 5101)
@@ -142,5 +142,5 @@
 ! This subroutine returns the sea surface temperature already read from limit.nc.
 
-    USE dimphy, ONLY : klon
+    USE dimphy, ONLY: klon
 #ifdef ISO
     USE infotrac_phy, ONLY: niso
@@ -273,15 +273,15 @@
     USE mod_grid_phy_lmdz
     USE mod_phys_lmdz_para
-    USE surface_data, ONLY : type_ocean, ok_veget
+    USE surface_data, ONLY: type_ocean, ok_veget
     USE netcdf, ONLY:nf90_noerr,nf90_close,nf90_get_var,nf90_inq_varid,nf90_nowrite,&
             nf90_inq_dimid,nf90_inquire_dimension,nf90_open,nf90_get_att,nf90_inquire
     USE indice_sol_mod
 #ifdef ISO
-    USE isotopes_mod, ONLY : iso_HTO,ok_prod_nucl_tritium
+    USE isotopes_mod, ONLY: iso_HTO,ok_prod_nucl_tritium
 #ifdef ISOVERIF
-    USE isotopes_verif_mod, ONLY : iso_verif_positif_nostop
-#endif
-#endif
-    USE phys_cal_mod, ONLY : calend, year_len
+    USE isotopes_verif_mod, ONLY: iso_verif_positif_nostop
+#endif
+#endif
+    USE phys_cal_mod, ONLY: calend, year_len
     USE print_control_mod, ONLY: lunout, prt_level
     USE lmdz_XIOS, ONLY: xios_recv_field
@@ -357,5 +357,5 @@
 
           !--- WARNING IF CALENDAR IS KNOWN AND DOES NOT MATCH THE ONE OF LMDZ
-          ierr=NF90_INQ_VARID(nid, 'TEMPS', nvarid)
+          ierr=nf90_inq_varid(nid, 'TEMPS', nvarid)
           ierr=nf90_get_att(nid, nvarid, 'calendar', calendar)
           IF(ierr==nf90_noerr.AND.calendar/=calend.AND.prt_level>=1) THEN
@@ -369,5 +369,5 @@
             ierr=nf90_inq_dimid(nid,"time_year",ndimid)
           ELSE
-            ierr=NF90_INQUIRE(nid, UnlimitedDimID=ndimid)
+            ierr=nf90_inquire(nid, UnlimitedDimID=ndimid)
           ENDIF
           ierr=nf90_inquire_dimension(nid, ndimid, len=nn)
@@ -469,5 +469,5 @@
 
 ! Ocean fraction
-             ierr = NF90_INQ_VARID(nid, 'FOCE', nvarid)
+             ierr = nf90_inq_varid(nid, 'FOCE', nvarid)
              IF (ierr /= nf90_noerr) CALL abort_physic(modname, 'Le champ <FOCE> est absent',1)
              
@@ -476,5 +476,5 @@
 
 ! Sea-ice fraction
-             ierr = NF90_INQ_VARID(nid, 'FSIC', nvarid)
+             ierr = nf90_inq_varid(nid, 'FSIC', nvarid)
              IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <FSIC> est absent',1)
 
@@ -487,5 +487,5 @@
 
 ! Land fraction
-                ierr = NF90_INQ_VARID(nid, 'FTER', nvarid)
+                ierr = nf90_inq_varid(nid, 'FTER', nvarid)
                 IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <FTER> est absent',1)
                 
@@ -494,5 +494,5 @@
 
 ! Continentale ice fraction
-                ierr = NF90_INQ_VARID(nid, 'FLIC', nvarid)
+                ierr = nf90_inq_varid(nid, 'FLIC', nvarid)
                 IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <FLIC> est absent',1)
 
@@ -509,5 +509,5 @@
           IF ( type_ocean /= 'couple') THEN
 
-             ierr = NF90_INQ_VARID(nid, 'SST', nvarid)
+             ierr = nf90_inq_varid(nid, 'SST', nvarid)
              IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <SST> est absent',1)
 
@@ -517,5 +517,5 @@
 #ifdef ISO
              IF ((iso_HTO.gt.0).and.(ok_prod_nucl_tritium)) THEN
-               ierr = NF90_INQ_VARID(nid, 'TUOCE', nvarid)
+               ierr = nf90_inq_varid(nid, 'TUOCE', nvarid)
                IF (ierr /= nf90_noerr) CALL abort_gcm(modname,'Le champ <TUOCE> est absent',1)
 
@@ -545,5 +545,5 @@
 
 ! Read albedo
-             ierr = NF90_INQ_VARID(nid, 'ALB', nvarid)
+             ierr = nf90_inq_varid(nid, 'ALB', nvarid)
              IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <ALB> est absent',1)
 
@@ -552,5 +552,5 @@
 
 ! Read rugosity
-             ierr = NF90_INQ_VARID(nid, 'RUG', nvarid)
+             ierr = nf90_inq_varid(nid, 'RUG', nvarid)
              IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Le champ <RUG> est absent',1)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5101)
@@ -21,10 +21,10 @@
   USE icefrac_lsc_mod ! compute ice fraction (JBM 3/14)
   USE print_control_mod, ONLY: prt_level, lunout
-  USE lmdz_cloudth, only : cloudth, cloudth_v3, cloudth_v6
-  USE ioipsl_getin_p_mod, ONLY : getin_p
+  USE lmdz_cloudth, ONLY: cloudth, cloudth_v3, cloudth_v6
+  USE ioipsl_getin_p_mod, ONLY: getin_p
   USE phys_local_var_mod, ONLY: ql_seri,qs_seri
   USE phys_local_var_mod, ONLY: rneblsvol
   ! flag to include modifications to ensure energy conservation (if flag >0)
-  USE add_phys_tend_mod, only : fl_cor_ebil 
+  USE add_phys_tend_mod, ONLY: fl_cor_ebil
   USE lmdz_lscp_ini, ONLY: iflag_t_glace,t_glace_min, t_glace_max, exposant_glace
   USE lmdz_lscp_ini, ONLY: iflag_cloudth_vert, iflag_rain_incloud_vol 
@@ -32,6 +32,6 @@
   USE lmdz_lscp_ini, ONLY: cld_tau_lsc, cld_tau_con, cld_lc_lsc, cld_lc_con
   USE lmdz_lscp_ini, ONLY: reevap_ice, iflag_bergeron, iflag_fisrtilp_qsat, iflag_pdf 
-      use phys_output_var_mod, ONLY : cloudth_sth,cloudth_senv
-      use phys_output_var_mod, ONLY : cloudth_sigmath,cloudth_sigmaenv
+      use phys_output_var_mod, ONLY: cloudth_sth,cloudth_senv
+      use phys_output_var_mod, ONLY: cloudth_sigmath,cloudth_sigmaenv
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90	(revision 5101)
@@ -4,5 +4,5 @@
   USE indice_sol_mod
   USE phys_output_var_mod
-  USE phys_output_write_mod, ONLY : phys_output_write
+  USE phys_output_write_mod, ONLY: phys_output_write
   REAL, DIMENSION(nfiles),SAVE :: ecrit_files
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_STRATAER
@@ -38,8 +38,8 @@
     USE strings_mod,  ONLY: maxlen
     USE ioipsl
-    USE phys_cal_mod, only : hour, calend
+    USE phys_cal_mod, ONLY: hour, calend
     USE mod_phys_lmdz_para
     !Martin
-    USE surface_data, ONLY : landice_opt
+    USE surface_data, ONLY: landice_opt
     USE phys_output_ctrlout_mod
     USE mod_grid_phy_lmdz, only: klon_glo,nbp_lon,nbp_lat
